# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetStringAttribute

Function

Retrieves a named attribute from an Object, verifies that it contains a string, and returns a pointer to that string.

Syntax
`#include <dx/dx.h>`

`Object DXGetStringAttribute(Object o, char *name, char **x)
`

Functional Details

The attribute to be retrieved from Object `o` is specified by the string `name`. It then verifies that the attribute contains a string value. If `x` is not `NULL`, a pointer to the string in the object is returned in `*x`. Do not release this memory or it will corrupt the object.

Return Value

Returns `o` if successful, returns `NULL` if it fails and does not set an error code.

See Also

`DXGetAttribute, DXGetEnumeratedAttribute, DXGetFloatAttribute, DXGetIntegerAttribute, DXSetAttribute, DXDeleteAttribute, DXSetFloatAttribute, DXSetIntegerAttribute, DXSetStringAttribute`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]